Commit 8196a735 authored by Andrius Štikonas's avatar Andrius Štikonas

Fix kio using only tls1.0.

Now kio should use QSsl::SslProtocol::SecureProtocols which will deprecate
unsafe TLS versions when they are no longer safe.

REVIEW: 129031
parent 89f8bcf0
......@@ -492,7 +492,7 @@ bool TCPSlaveBase::startSsl()
if (d->usingSSL) {
return false;
}
return d->startTLSInternal(KTcpSocket::TlsV1) & ResultOk;
return d->startTLSInternal(KTcpSocket::SecureProtocols) & ResultOk;
}
TCPSlaveBase::SslResult TCPSlaveBase::TcpSlaveBasePrivate::startTLSInternal(KTcpSocket::SslVersion version,
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment